#pragma once

#include "interfaces/ITimeInterface.hpp"

namespace TSE
{
    class Time
    {
    private:
        static ITimeInterface* timeInterface;
        static float LastFrameTime;
        static float DeltaTime;
        static float CurrentTime;

    public:
        static void Init(ITimeInterface* time);
        static void Destroy();
        static float deltaTime();
        static float currentTime();
        static float lastFrameTime();
        static void Update();
    };
} // namespace TSE
